import { BasketItem } from "@egr/wcf/modules/bsk";

import { MenuAction } from "../Action";
import { PluginComponent } from "../PluginComponent";
import { BaseComponentExtension } from "./ProjectEditorExtension";

/**
 * ItemList created by the ItemListPlugin.
 */
export interface ItemList extends PluginComponent
{
    onShowSelectionContextMenu: ((pPosition: { x: number; y: number }, pAdditionalActions?: ReadonlyArray<MenuAction>) => void) | undefined;
    onEditSelection: (() => void) | undefined;

    update(): Promise<void>;
    scrollToItem(pItem: BasketItem): void;
    renameItem(pItem: BasketItem): void;
}

/**
 * Plugin that creates the basket item list component.
 * The item list displays a list of all items in the basket.
 * - Plugin category = `ItemList`
 */
export interface ItemListPlugin extends BaseComponentExtension<ItemList>
{
}
