## catalog

This plugin implements the `Catalog` plugin category.

### Configuration

To configure the plugin the following section has to be added to the plugin settings section inside the applications `settings.json`.

```typescript
"catalog": {
    /**
     * If true search in multiple catalogs will be enabled. (default: false)
     * Note: Only supported if all available catalogs are part of the same concern/enterprise.
     */
    "multiCatalogSearch": boolean,
    /**
     * Fallback website which will be shown inside the catalog if there are no catalogs available 
     * for the current user.  
     */
    "noCatalogsFallbackUrl": string,
    /**
     * A path represented by ofml catalog item ids which will be used as the root of the catalog.
     */
    "rootPath": string[]
}
```







