import { PluginDescriptor } from '../../plugin-sdk/wbk-core/Plugin';
import { AppSettingsPanel, AppSettingsPanelPlugin } from '../../plugin-sdk/wbk-core/plugins/AppSettingsPanel';

import wbkApp = egr.wbkApp;

/** implementation of AppSettingsPanelPlugin interface */
class PluginImpl implements AppSettingsPanelPlugin
{
    public get name(): string
    {
        return ("examplePlugin-appSettingsPanel");
    }

    public async initialize(pDescriptor: PluginDescriptor, pSettings: unknown): Promise<void>
    {
    }

    public async createComponent(pContainer: HTMLElement): Promise<AppSettingsPanel>
    {
        //return new instance of our component implementation
        return (new Component(pContainer));
    }
}

/** implementation of AppSettingsPanel interface */
class Component implements AppSettingsPanel
{
    public constructor(pContainer: HTMLElement)
    {
        this.mContainer = pContainer;

        //add test button to container
        let tButton = document.createElement("button");
        tButton.innerText = "test button";
        tButton.onclick = () => alert("test button clicked");
        this.mContainer.appendChild(tButton);
    }

    public async dispose(): Promise<void>
    {
        //add clean-up code here
    }

    public async applySettings(): Promise<void>
    {
        //apply/store changed settings here
    }

    public async discardSettings(): Promise<void>
    {
        //discard changed settings here
    }

    private mContainer: HTMLElement;
}

//register plugin
wbkApp.pluginManager.registerPlugin(new PluginImpl());