import { PluginDescriptor } from "../../plugin-sdk/wbk-core/Plugin";
import { ActivityPlugin, ActivityHost, Activity } from "../../plugin-sdk/wbk-core/plugins/Activity";

import wbkApp = egr.wbkApp;


/**
 * Simple example project editor activity using the `createProjectEditorActivity()` helper.
 */
class PluginImpl implements ActivityPlugin
{
    public get name(): string
    {
        return ("examplePlugin-simpleActivity");
    }


    public initialize(pDescriptor: PluginDescriptor, pSettings: unknown): Promise<void>
    {
        return (Promise.resolve());
    }


    public async createComponent(pHost: ActivityHost): Promise<Activity>
    {
        return (wbkApp.componentFactory.createProjectEditorActivity(pHost));
    }
}

//register plugin
wbkApp.pluginManager.registerPlugin(new PluginImpl());